微软开发的天翼Live原本是要求客户端环境为XP SP2或者Vista,但Win 7下也可以选择兼容性检查,然后根据提示安装,使用都是正常的。旧版本也能通过修改兼容运行方式来安装到Win Server 2003,但新版已经不行了。经过下午的研究,终于找到一位牛人的帖子,并根据这个方法,修改成功了。帖子里说的是1.15版,现在最新的是1.16,但同样可用,只是不能直接用绝对位置了。

  让我们无视这个报错,拿出UltraEdit之类的编辑工具吧。用编辑工具打开1.16的安装程序

  搜索“45 08 0F 85 86”,只能找到一个,将其中的“08”改成“F8”:

  然后搜索“E8 04 BE FF FF 85 C0 74”,应该也只能找到一个,把你搜索的一行改成“90 90 90 90 90 85 C0 EB”

  然后保存你的EXE文件,开始安装,应该不会报错了。安装是一切顺利的。

分享到: